isOctave = exist('OCTAVE_VERSION', 'builtin') ~= 0;
if(isOctave)
    pkg load image;
end
disp("");
disp("====================");
disp("Results for Figure 4");
disp("--------------------");

A=imread('gray/gray253.png');
B=imread('gray/gray255.png');
if(isOctave)
  B =B .* 255;  % for some reason, this image contains ones when reading with Octave, so multiplying with 255
end
[mssim, ssim_map] = ssim(A,B);
disp("MSSIM between 253/255 and 255/255: ");
mssim
disp("--------------------");

A=imread('gray/gray128.png');
B=imread('gray/gray130.png');  
[mssim, ssim_map] = ssim(A,B);
disp("MSSIM between 128/255 and 130/255: ");
mssim
disp("--------------------");

A=imread('gray/gray000.png');
B=imread('gray/gray002.png');  
[mssim, ssim_map] = ssim(A,B);
disp("MSSIM between 0/255 and 2/255: ");
mssim
disp("--------------------");

A=imread('gray/gray222.png');
B=imread('gray/gray255.png');
if(isOctave)
  B =B .* 255;  % for some reason, this image contains ones when reading with Octave, so multiplying with 255
end
[mssim, ssim_map] = ssim(A,B);
disp("MSSIM between 222/255 and 255/255: ");
mssim
disp("--------------------");

A=imread('gray/gray000.png');
B=imread('gray/gray026.png');
[mssim, ssim_map] = ssim(A,B);
disp("MSSIM between 0/255 and 26/255: ");
mssim

disp("====================");
