isOctave = exist('OCTAVE_VERSION', 'builtin') ~= 0;
if(isOctave)
   pkg load image; 
end
disp("");
disp("====================");
disp("Results for Figure 7");
disp("--------------------");

srcdir = "../images/collage/";
dstdir  = "result_images/";
images = ["bathroom_left"; "buddha"; "butter_flower_jpeg4"; "cadik_sala"; "family_blur5"; "ref_increment_l3_perceptionpattern"; "roping_AWGN5"];

for idx = 1:length(images)
    name = images(idx,:);
    srcfileprefix = strcat(srcdir, name);
    strcat(srcfileprefix, '_reference.png')
    A=rgb2gray(imread(convertStringsToChars(strcat(srcfileprefix, '_reference.png'))));
    B=rgb2gray(imread(convertStringsToChars(strcat(srcfileprefix, '_test.png'))));
    [mssim_simplified, mssim, ssim_map_simplified, ssim_map, l_map, c_map, s_map] = ssimlcs(A,B);
    mssim_simplified
    float2grayred(ssim_map, convertStringsToChars(strcat(dstdir, name, '_ssim.png')), 1);
    float2grayred(l_map, convertStringsToChars(strcat(dstdir, name, '_L.png')), 1);
    float2grayred(c_map, convertStringsToChars(strcat(dstdir, name, '_C.png')), 1);
    float2grayred(s_map, convertStringsToChars(strcat(dstdir, name, '_S.png')), 1);
    disp("--------------------");
end
disp("====================");
